<?php
namespace Incoviba\Common\Define\Controller;

use Psr\Http\Message\ResponseInterface as Response;

trait Json {
  public function withJson(Response $response, $data, int $status = 200): Response {
    $response->getBody()->write(json_encode($data));
    return $response
      ->withHeader('Content-Type', 'application/json')
      ->withStatus($status);
  }
}
